Bug 753589 - "Could not allocate dynamic translator buffer" error when creating guest
"Could not allocate dynamic translator buffer" error when creating guest
Status: CLOSED DUPLICATE of bug 806106
Product: Fedora
Classification: Fedora
Component: qemu (Show other bugs)
16
x86_64 Linux
unspecified Severity high
: ---
: ---
Assigned To: Fedora Virtualization Maintainers
Fedora Extras Quality Assurance
: Reopened
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2011-11-13 11:43 EST by jpardo
Modified: 2016-03-27 10:32 EDT (History)
27 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-07-10 06:48:26 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
step1 (55.41 KB, image/png)
2011-12-11 23:24 EST, Flos Lonicerae
no flags Details
step2 (43.57 KB, image/png)
2011-12-11 23:24 EST, Flos Lonicerae
no flags Details
setp3 (33.00 KB, image/png)
2011-12-11 23:25 EST, Flos Lonicerae
no flags Details
step4 (45.46 KB, image/png)
2011-12-11 23:25 EST, Flos Lonicerae
no flags Details
step5 (53.65 KB, image/png)
2011-12-11 23:26 EST, Flos Lonicerae
no flags Details
step6 (41.99 KB, image/png)
2011-12-11 23:26 EST, Flos Lonicerae
no flags Details

  None (edit)
Description jpardo 2011-11-13 11:43:38 EST
Description of problem:
When trying to launch new virtual guests the error message: "Could not allocate dynamic translator buffer" is thrown.
Creation command: 
sudo virt-install --cdrom /home/raton/ISOs/Fedora-15-x86_64-Live-Desktop.iso --ram 1024 --name f15 --disk /home/raton/discos/fedora15.img  --connect qemu:///system

Version-Release number of selected component (if applicable):

Compilado contra la biblioteca: libvir 0.9.6
Utilizando la biblioteca: libvir 0.9.6
Utilizando API: QEMU 0.9.6
Ejecutando hypervisor: QEMU 0.15.1

Linux rantran 3.1.0-7.fc16.x86_64 #1 SMP Tue Nov 1 21:10:48 UTC 2011 x86_64 x86_64 x86_64 GNU/Linux
Fedora release 16 (Verne)


How reproducible:
sudo virt-install --cdrom /home/raton/ISOs/Fedora-15-x86_64-Live-Desktop.iso --ram 1024 --name f15 --disk /home/raton/discos/fedora15.img  --connect qemu:///system


  
Actual results:
error message: "Could not allocate dynamic translator buffer" is thrown.
No guest created

Expected results:
new guest created succesfully

Additional info:
Comment 1 jpardo 2011-11-13 11:45:19 EST
Traceback (most recent call last):
  File "/usr/share/virt-manager/virtManager/asyncjob.py", line 44, in cb_wrapper
    callback(asyncjob, *args, **kwargs)
  File "/usr/share/virt-manager/virtManager/create.py", line 1899, in do_install
    guest.start_install(False, meter=meter)
  File "/usr/lib/python2.7/site-packages/virtinst/Guest.py", line 1223, in start_install
    noboot)
  File "/usr/lib/python2.7/site-packages/virtinst/Guest.py", line 1291, in _create_guest
    dom = self.conn.createLinux(start_xml or final_xml, 0)
  File "/usr/lib64/python2.7/site-packages/libvirt.py", line 2077, in createLinux
    if ret is None:raise libvirtError('virDomainCreateLinux() failed', conn=self)
libvirtError: internal error Process exited while reading console log output: char device redirected to /dev/pts/1
Could not allocate dynamic translator buffer
Comment 2 jpardo 2011-11-13 11:47:06 EST
cpuinfo:

processor	: 0
vendor_id	: GenuineIntel
cpu family	: 6
model		: 23
model name	: Intel(R) Core(TM)2 Duo CPU     P8600  @ 2.40GHz
stepping	: 10
cpu MHz		: 800.000
cache size	: 3072 KB
physical id	: 0
siblings	: 2
core id		: 0
cpu cores	: 2
apicid		: 0
initial apicid	: 0
fpu		: yes
fpu_exception	: yes
cpuid level	: 13
wp		: yes
flags		: fpu vme de pse tsc msr pae mce cx8 apic sep mtrr pge mca cmov pat pse36 clflush dts acpi mmx fxsr sse sse2 ss ht tm pbe syscall nx lm constant_tsc arch_perfmon pebs bts rep_good nopl aperfmperf pni dtes64 monitor ds_cpl vmx smx est tm2 ssse3 cx16 xtpr pdcm sse4_1 xsave lahf_lm ida dts tpr_shadow vnmi flexpriority
bogomips	: 4788.36
clflush size	: 64
cache_alignment	: 64
address sizes	: 36 bits physical, 48 bits virtual
power management:

processor	: 1
vendor_id	: GenuineIntel
cpu family	: 6
model		: 23
model name	: Intel(R) Core(TM)2 Duo CPU     P8600  @ 2.40GHz
stepping	: 10
cpu MHz		: 2401.000
cache size	: 3072 KB
physical id	: 0
siblings	: 2
core id		: 1
cpu cores	: 2
apicid		: 1
initial apicid	: 1
fpu		: yes
fpu_exception	: yes
cpuid level	: 13
wp		: yes
flags		: fpu vme de pse tsc msr pae mce cx8 apic sep mtrr pge mca cmov pat pse36 clflush dts acpi mmx fxsr sse sse2 ss ht tm pbe syscall nx lm constant_tsc arch_perfmon pebs bts rep_good nopl aperfmperf pni dtes64 monitor ds_cpl vmx smx est tm2 ssse3 cx16 xtpr pdcm sse4_1 xsave lahf_lm ida dts tpr_shadow vnmi flexpriority
bogomips	: 4787.74
clflush size	: 64
cache_alignment	: 64
address sizes	: 36 bits physical, 48 bits virtual
power management:

meminfo:

MemTotal:        4105384 kB
MemFree:         2015440 kB
Buffers:           86032 kB
Cached:           900876 kB
SwapCached:            0 kB
Active:          1344304 kB
Inactive:         452016 kB
Active(anon):     817084 kB
Inactive(anon):    39584 kB
Active(file):     527220 kB
Inactive(file):   412432 kB
Unevictable:         144 kB
Mlocked:             144 kB
SwapTotal:       6193148 kB
SwapFree:        6193148 kB
Dirty:              1508 kB
Writeback:             0 kB
AnonPages:        809452 kB
Mapped:           128640 kB
Shmem:             47268 kB
Slab:              93564 kB
SReclaimable:      53924 kB
SUnreclaim:        39640 kB
KernelStack:        2688 kB
PageTables:        24040 kB
NFS_Unstable:          0 kB
Bounce:                0 kB
WritebackTmp:          0 kB
CommitLimit:     8245840 kB
Committed_AS:    2224412 kB
VmallocTotal:   34359738367 kB
VmallocUsed:      141620 kB
VmallocChunk:   34359586808 kB
HardwareCorrupted:     0 kB
AnonHugePages:    196608 kB
HugePages_Total:       0
HugePages_Free:        0
HugePages_Rsvd:        0
HugePages_Surp:        0
Hugepagesize:       2048 kB
DirectMap4k:      127284 kB
DirectMap2M:     4055040 kB
Comment 3 marreitz 2011-11-14 15:01:53 EST
Same problem with a Pentium Dual-Core system.

cpuinfo using Xen kernel

processor	: 0
vendor_id	: GenuineIntel
cpu family	: 6
model		: 23
model name	: Pentium(R) Dual-Core  CPU      E5800  @ 3.20GHz
stepping	: 10
cpu MHz		: 1203.000
cache size	: 2048 KB
fpu		: yes
fpu_exception	: yes
cpuid level	: 13
wp		: yes
flags		: fpu de tsc msr pae cx8 apic sep cmov pat clflush acpi mmx fxsr sse sse2 ss ht syscall nx lm constant_tsc rep_good nopl aperfmperf pni est ssse3 cx16 hypervisor lahf_lm dts
bogomips	: 6400.18
clflush size	: 64
cache_alignment	: 64
address sizes	: 36 bits physical, 48 bits virtual
power management:

processor	: 1
vendor_id	: GenuineIntel
cpu family	: 6
model		: 23
model name	: Pentium(R) Dual-Core  CPU      E5800  @ 3.20GHz
stepping	: 10
cpu MHz		: 1203.000
cache size	: 2048 KB
fpu		: yes
fpu_exception	: yes
cpuid level	: 13
wp		: yes
flags		: fpu de tsc msr pae cx8 apic sep cmov pat clflush acpi mmx fxsr sse sse2 ss ht syscall nx lm constant_tsc rep_good nopl aperfmperf pni est ssse3 cx16 hypervisor lahf_lm dts
bogomips	: 6400.18
clflush size	: 64
cache_alignment	: 64
address sizes	: 36 bits physical, 48 bits virtual
power management:



cpuinfo using standard kernel 

processor	: 0
vendor_id	: GenuineIntel
cpu family	: 6
model		: 23
model name	: Pentium(R) Dual-Core  CPU      E5800  @ 3.20GHz
stepping	: 10
cpu MHz		: 1203.000
cache size	: 2048 KB
physical id	: 0
siblings	: 2
core id		: 0
cpu cores	: 2
apicid		: 0
initial apicid	: 0
fpu		: yes
fpu_exception	: yes
cpuid level	: 13
wp		: yes
flags		: fpu vme de pse tsc msr pae mce cx8 apic sep mtrr pge mca cmov pat pse36 clflush dts acpi mmx fxsr sse sse2 ss ht tm pbe syscall nx lm constant_tsc arch_perfmon pebs bts rep_good nopl aperfmperf pni dtes64 monitor ds_cpl vmx est tm2 ssse3 cx16 xtpr pdcm xsave lahf_lm dts tpr_shadow vnmi flexpriority
bogomips	: 6399.86
clflush size	: 64
cache_alignment	: 64
address sizes	: 36 bits physical, 48 bits virtual
power management:

processor	: 1
vendor_id	: GenuineIntel
cpu family	: 6
model		: 23
model name	: Pentium(R) Dual-Core  CPU      E5800  @ 3.20GHz
stepping	: 10
cpu MHz		: 1203.000
cache size	: 2048 KB
physical id	: 0
siblings	: 2
core id		: 1
cpu cores	: 2
apicid		: 1
initial apicid	: 1
fpu		: yes
fpu_exception	: yes
cpuid level	: 13
wp		: yes
flags		: fpu vme de pse tsc msr pae mce cx8 apic sep mtrr pge mca cmov pat pse36 clflush dts acpi mmx fxsr sse sse2 ss ht tm pbe syscall nx lm constant_tsc arch_perfmon pebs bts rep_good nopl aperfmperf pni dtes64 monitor ds_cpl vmx est tm2 ssse3 cx16 xtpr pdcm xsave lahf_lm dts tpr_shadow vnmi flexpriority
bogomips	: 6399.52
clflush size	: 64
cache_alignment	: 64
address sizes	: 36 bits physical, 48 bits virtual
power management:


Fedora 16 x86_64 is up to date using latest package versions from standard repository.
Comment 4 Steven Dake 2011-11-15 09:40:49 EST
just speculation, but your using the Live CD image above in Comment #1.  Does reporter in comment #3 also use live cd image?

Can you give a non-live cd image a try?

Thanks
-steve
Comment 5 marreitz 2011-11-15 17:22:03 EST
No, I do not use a live cd image. Standard DVD installation plus updates via

  yum update

using standard repository, so system is as up to date as possible.
Comment 6 Fotios Lindiakos 2011-11-16 17:19:31 EST
I am getting the same error when trying to import an existing image (vmware based) using the virt-manager GUI:

Unable to complete install: 'internal error Process exited while reading console log output: char device redirected to /dev/pts/1
Could not allocate dynamic translator buffer
'

Traceback (most recent call last):
  File "/usr/share/virt-manager/virtManager/asyncjob.py", line 44, in cb_wrapper
    callback(asyncjob, *args, **kwargs)
  File "/usr/share/virt-manager/virtManager/create.py", line 1899, in do_install
    guest.start_install(False, meter=meter)
  File "/usr/lib/python2.7/site-packages/virtinst/Guest.py", line 1223, in start_install
    noboot)
  File "/usr/lib/python2.7/site-packages/virtinst/Guest.py", line 1291, in _create_guest
    dom = self.conn.createLinux(start_xml or final_xml, 0)
  File "/usr/lib/python2.7/site-packages/libvirt.py", line 2077, in createLinux
    if ret is None:raise libvirtError('virDomainCreateLinux() failed', conn=self)
libvirtError: internal error Process exited while reading console log output: char device redirected to /dev/pts/1
Could not allocate dynamic translator buffer


System is fully up to date as well.
Comment 7 vvs 2011-11-24 07:11:55 EST
SELinux policy blocks QEMU:

type=1400 audit(1322136594.926:8): avc:  denied  { execmem } for  pid=27475 comm="qemu" scontext=system_u:system_r:svirt_t:s0:c488,c988 tcontext=system_u:system_r:svirt_t:s0:c488,c988 tclass=process
Comment 8 Jon 2011-11-25 18:29:19 EST
I also having the same problem on a Dell Poweredge 2950 server. Specs are 2 quadcore processors at 2.33GHZ, 16 GB memory and 6x1tb drives. 



[vm@vm01 ~]$ virt-install --connect qemu:///system -n Silver-Surfer -r 2048 --vcpus=2 --disk /vm-storage/silver-surfer-vm/vm-file-sda.img --graphics vnc --cdrom /home/vm/clonezilla-live-1.2.10-14-i686-pae.iso --network=bridge:virbr0
WARNING  KVM acceleration not available, using 'qemu'

Starting install...
ERROR    internal error Process exited while reading console log output: char device redirected to /dev/pts/1
Could not allocate dynamic translator buffer

Domain installation does not appear to have been successful.
If it was, you can restart your domain by running:
  virsh --connect qemu:///system start Silver-Surfer
otherwise, please restart your installation.


If any more info is needed.. pass the word to me. 

Jon
Comment 9 vvs 2011-11-27 10:09:27 EST
See Comment #7. Right now the only workaround is to disable SELinux or put it into permissive mode.
Comment 10 Jon 2011-12-04 18:48:57 EST
Peoples, 

Ok.. after a very long debugging.. I found what was the problem with my setup and want to pass it on.. *BANGS HEAD HARD*
Comment 11 Jon 2011-12-04 19:09:47 EST
Peoples, 

Ok.. after a very long debugging.. I found what was the problem with my setup and want to pass it on.. *BANGS HEAD HARD*

Yep.. after looking at everything on the software side.. finally caught little message saying.. something about Operation not performed or something to that effect.. which prompted me to look at my server's hardware setup to make sure that the virtual is turned on and it was NOT!!!! So.. that is one place for everybody on this bug's mailing list to look at... CHECK TO MAKE SURE THAT THE VIRTUAL MACHINE SETTING IN THE BIOS IS TURNED ON!!!! 

One way to check is to make sure that the kvm-intel or -adm kernel module is loaded and if it not.. well.. you know the bloody drill... as a matter of fact that is how I knew the KVM was not working.. when I tried to load the kernel module, that is where I found the message.... 

# modprobe kvm_intel 
FATAL: Error inserting kvm_intel (/lib/modules/3.1.2-1.fc16.x86_64/kernel/arch/x86/kvm/kvm-intel.ko): Operation not supported

Also, make sure that the /dev/kvm is in the filesystem too. 

Also, I found another problem that I had to fix... And this was in the /var/log/libvirt/libvirtd.log file.. When I tried to install a guest, it got hung up.. and got this message...

 virSysinfoRead:465 : internal error Failed to find path for dmidecode binary

Yep.. had to install that package dmidecode, once I did that, then the guests can be installed. 

Jon
Comment 12 Steven Dake 2011-12-04 20:57:46 EST
Jon,

It is possible your libvirt hung as described in Bug #757382.  Adding dmidecode will stop the log message from occurring, which is what triggers Bug #757382 (but is not the root cause).

Regards
-steve
Comment 13 Jon 2011-12-05 12:08:20 EST
(In reply to comment #12)
> Jon,
> 
> It is possible your libvirt hung as described in Bug #757382.  Adding dmidecode
> will stop the log message from occurring, which is what triggers Bug #757382
> (but is not the root cause).
> 
> Regards
> -steve

Be as it may be, the main problem I(and a few others may have) had was the guests could not be installed. I'm just posting for other to really double check their BIOS' setup to make sure that the virtual setting is turned on. 

Jon
Comment 14 vvs 2011-12-05 14:31:49 EST
Actually, that configuration is just hiding the *real* bug: when VT-x is switched off in BIOS settings, the KVM can not be used and therefore QEMU is working in full emulation mode and is blocked by SELinux policy, which should not happen.
Comment 15 Flos Lonicerae 2011-12-11 23:15:25 EST
i meet the same problem. here is my error message:
------------------------MSG------------------------
无法完成安装:'内部错误 Process exited while reading console log output: char device redirected to /dev/pts/2
Could not allocate dynamic translator buffer
'

Traceback (most recent call last):
  File "/usr/share/virt-manager/virtManager/asyncjob.py", line 44, in cb_wrapper
    callback(asyncjob, *args, **kwargs)
  File "/usr/share/virt-manager/virtManager/create.py", line 1899, in do_install
    guest.start_install(False, meter=meter)
  File "/usr/lib/python2.7/site-packages/virtinst/Guest.py", line 1223, in start_install
    noboot)
  File "/usr/lib/python2.7/site-packages/virtinst/Guest.py", line 1291, in _create_guest
    dom = self.conn.createLinux(start_xml or final_xml, 0)
  File "/usr/lib/python2.7/site-packages/libvirt.py", line 2077, in createLinux
    if ret is None:raise libvirtError('virDomainCreateLinux() failed', conn=self)
libvirtError: 内部错误 Process exited while reading console log output: char device redirected to /dev/pts/2
Could not allocate dynamic translator buffer
------------------------MSG------------------------

how to reproduce:
configure virt-manager with qemu-x86-system support(my cpu is Pentium4, no any VT-x tech)
---YUM PKGS---
Dec 12 11:39:38 localhost yum[10351]: Installed: libxml2-python-2.7.8-6.fc16.i686
Dec 12 11:39:40 localhost yum[10351]: Installed: libwsman1-2.2.5-3.fc16.i686
Dec 12 11:39:41 localhost yum[10351]: Installed: numactl-2.0.7-2.fc16.i686
Dec 12 11:39:41 localhost yum[10351]: Installed: gnome-python2-desktop-2.32.0-5.fc16.i686
Dec 12 11:39:43 localhost yum[10351]: Installed: spice-gtk-0.7.39-1.fc16.i686
Dec 12 11:39:43 localhost yum[10351]: Installed: spice-gtk-python-0.7.39-1.fc16.i686
Dec 12 11:39:44 localhost yum[10351]: Installed: xen-licenses-4.1.2-2.fc16.i686
Dec 12 11:39:45 localhost yum[10351]: Installed: xen-libs-4.1.2-2.fc16.i686
Dec 12 11:39:46 localhost yum[10351]: Installed: gnome-python2-gnomekeyring-2.32.0-5.fc16.i686
Dec 12 11:39:46 localhost yum[10351]: Installed: libbsd-0.2.0-4.fc15.i686
Dec 12 11:39:47 localhost yum[10351]: Installed: nc-1.101-3.fc16.i686
Dec 12 11:39:48 localhost yum[10351]: Installed: gtk-vnc-0.4.3-1.fc15.i686
Dec 12 11:39:49 localhost yum[10351]: Installed: gtk-vnc-python-0.4.3-1.fc15.i686
Dec 12 11:39:49 localhost yum[10351]: Installed: cyrus-sasl-md5-2.1.23-25.fc16.i686
Dec 12 11:39:52 localhost yum[10351]: Installed: augeas-libs-0.9.0-2.fc16.i686
Dec 12 11:39:53 localhost yum[10351]: Installed: netcf-libs-0.1.9-1.fc16.i686
Dec 12 11:39:54 localhost yum[10351]: Installed: gnutls-utils-2.12.7-2.fc16.i686
Dec 12 11:40:01 localhost yum[10351]: Installed: libvirt-client-0.9.6-2.fc16.i686
Dec 12 11:40:02 localhost yum[10351]: Installed: libvirt-python-0.9.6-2.fc16.i686
Dec 12 11:40:04 localhost yum[10351]: Installed: python-virtinst-0.600.0-5.fc16.noarch
Dec 12 11:40:07 localhost yum[10351]: Installed: virt-manager-common-0.9.0-7.fc16.noarch
Dec 12 11:40:11 localhost yum[10351]: Installed: virt-manager-0.9.0-7.fc16.noarch
Dec 12 11:40:14 localhost yum[10351]: Installed: gsoap-devel-2.8.3-2.fc16.i686
Dec 12 11:46:50 localhost yum[10801]: Installed: mlocate-0.24-1.fc16.i686
Dec 12 11:51:49 localhost yum[10971]: Installed: libaio-0.3.109-4.fc16.i686
Dec 12 11:51:50 localhost yum[10971]: Installed: libgssglue-0.3-0.fc16.i686
Dec 12 11:51:51 localhost yum[10971]: Installed: gpxe-roms-qemu-1.0.1-4.fc16.noarch
Dec 12 11:51:52 localhost yum[10971]: Installed: vgabios-0.6c-3.fc15.noarch
Dec 12 11:51:52 localhost yum[10971]: Installed: seabios-bin-0.6.2-3.fc16.noarch
Dec 12 11:51:53 localhost yum[10971]: Installed: libtirpc-0.2.2-1.1.fc16.i686
Dec 12 11:51:56 localhost yum[10971]: Installed: rpcbind-0.2.0-15.fc16.i686
Dec 12 11:51:57 localhost yum[10971]: Installed: libnfsidmap-0.24-7.fc16.i686
Dec 12 11:51:59 localhost yum[10971]: Installed: 1:nfs-utils-1.2.5-3.fc16.i686
Dec 12 11:52:02 localhost yum[10971]: Installed: glusterfs-3.2.5-3.fc16.i686
Dec 12 11:52:03 localhost yum[10971]: Installed: glusterfs-fuse-3.2.5-3.fc16.i686
Dec 12 11:52:04 localhost yum[10971]: Installed: ebtables-2.0.10-2.fc16.i686
Dec 12 11:52:05 localhost yum[10971]: Installed: libunwind-0.99-2.20110424git1e10c293.fc16.i686
Dec 12 11:52:06 localhost yum[10971]: Installed: google-perftools-libs-1.8.3-2.fc16.i686
Dec 12 11:52:07 localhost yum[10971]: Installed: libcgroup-0.37.1-4.fc16.i686
Dec 12 11:52:10 localhost yum[10971]: Installed: iscsi-initiator-utils-6.2.0.872-14.fc16.i686
Dec 12 11:52:11 localhost yum[10971]: Installed: lzop-1.03-3.fc16.i686
Dec 12 11:52:12 localhost yum[10971]: Installed: bridge-utils-1.5-2.fc16.i686
Dec 12 11:52:13 localhost yum[10971]: Installed: cryptopp-5.6.1-5.fc16.i686
Dec 12 11:52:19 localhost yum[10971]: Installed: ceph-0.37-1.fc16.i686
Dec 12 11:52:20 localhost yum[10971]: Installed: 2:qemu-img-0.15.1-3.fc16.i686
Dec 12 11:52:23 localhost yum[10971]: Installed: 2:qemu-common-0.15.1-3.fc16.i686
Dec 12 11:52:24 localhost yum[10971]: Installed: radvd-1.8.2-2.fc16.i686
Dec 12 11:52:28 localhost yum[10971]: Installed: libvirt-0.9.6-2.fc16.i686
Dec 12 11:52:31 localhost yum[10971]: Installed: 2:qemu-system-x86-0.15.1-3.fc16.i686
---YUM PKGS---

setup virtual machine screen shots attached.
Comment 16 Flos Lonicerae 2011-12-11 23:24:04 EST
Created attachment 545545 [details]
step1
Comment 17 Flos Lonicerae 2011-12-11 23:24:37 EST
Created attachment 545546 [details]
step2
Comment 18 Flos Lonicerae 2011-12-11 23:25:06 EST
Created attachment 545547 [details]
setp3
Comment 19 Flos Lonicerae 2011-12-11 23:25:45 EST
Created attachment 545548 [details]
step4
Comment 20 Flos Lonicerae 2011-12-11 23:26:23 EST
Created attachment 545549 [details]
step5
Comment 21 Flos Lonicerae 2011-12-11 23:26:51 EST
Created attachment 545550 [details]
step6
Comment 22 Flos Lonicerae 2011-12-18 05:16:01 EST
hi,

when i set the selinux to permissive:
#setenforce 0
and recreate the virtual machine, this time virt-manager can continue to run without error. so i think the selinux may be a problem.
Comment 23 Ronaldo Rivera 2011-12-18 18:18:51 EST
Hi,

I know this could come across as basic for some, but please check if you have VT enabled in your BIOS settings. If not please enable it and try creating a KVM guest again. I've just done this and now I'm able to create a guest successfully.

I was initially running 64bit Fedora 16 when I was getting this error, then thought I'd try 32bit and was still getting the same problem so I figured it may not be architecture related (now, for me anyway, it also no longer appears to be a bug).

Hope this helps.

Ronaldo
Comment 24 Flos Lonicerae 2011-12-18 20:06:02 EST
Hi,

My machine has a Pentium4 CPU and I'm using qemu as backend not KVM. I know that running KVM with virt-manager on a VT enabled machine without error, because I had another machine which supports VT technology.

This problem just effect qemu on NO VT supported CPUs.
Comment 25 Badi Ul Zaman 2011-12-20 12:52:33 EST
today i got  same error when trying to install virtual guest on my rhel6 box

Unable to complete install: 'internal error Process exited while reading
console log output: char device redirected to /dev/pts/1
Could not allocate dynamic translator buffer
'

Traceback (most recent call last):
  File "/usr/share/virt-manager/virtManager/asyncjob.py", line 44, in
cb_wrapper
    callback(asyncjob, *args, **kwargs)
  File "/usr/share/virt-manager/virtManager/create.py", line 1899, in
do_install
    guest.start_install(False, meter=meter)
  File "/usr/lib/python2.7/site-packages/virtinst/Guest.py", line 1223, in
start_install
    noboot)
  File "/usr/lib/python2.7/site-packages/virtinst/Guest.py", line 1291, in
_create_guest
    dom = self.conn.createLinux(start_xml or final_xml, 0)
  File "/usr/lib/python2.7/site-packages/libvirt.py", line 2077, in createLinux
    if ret is None:raise libvirtError('virDomainCreateLinux() failed',
conn=self)
libvirtError: internal error Process exited while reading console log output:
char device redirected to /dev/pts/1
Could not allocate dynamic translator buffer




resolution:


the problem was selinux  it was not allowing to connect to libvird 


i created a selinux module using following command

[root@localhost ~]# cat /var/log/audit/audit.log | audit2allow -M libvirt


[root@localhost ~]# semodule -i  libvirt.pp

and its simply fixed my issue.
Comment 26 Flos Lonicerae 2012-01-16 08:59:53 EST
(In reply to comment #25)
> today i got  same error when trying to install virtual guest on my rhel6 box
> 
> Unable to complete install: 'internal error Process exited while reading
> console log output: char device redirected to /dev/pts/1
> Could not allocate dynamic translator buffer
> '
> 
> Traceback (most recent call last):
>   File "/usr/share/virt-manager/virtManager/asyncjob.py", line 44, in
> cb_wrapper
>     callback(asyncjob, *args, **kwargs)
>   File "/usr/share/virt-manager/virtManager/create.py", line 1899, in
> do_install
>     guest.start_install(False, meter=meter)
>   File "/usr/lib/python2.7/site-packages/virtinst/Guest.py", line 1223, in
> start_install
>     noboot)
>   File "/usr/lib/python2.7/site-packages/virtinst/Guest.py", line 1291, in
> _create_guest
>     dom = self.conn.createLinux(start_xml or final_xml, 0)
>   File "/usr/lib/python2.7/site-packages/libvirt.py", line 2077, in createLinux
>     if ret is None:raise libvirtError('virDomainCreateLinux() failed',
> conn=self)
> libvirtError: internal error Process exited while reading console log output:
> char device redirected to /dev/pts/1
> Could not allocate dynamic translator buffer
> 
> 
> 
> 
> resolution:
> 
> 
> the problem was selinux  it was not allowing to connect to libvird 
> 
> 
> i created a selinux module using following command
> 
> [root@localhost ~]# cat /var/log/audit/audit.log | audit2allow -M libvirt
> 
> 
> [root@localhost ~]# semodule -i  libvirt.pp
> 
> and its simply fixed my issue.

i do what Badi said, it *DOES* resolve my problem. thanks!
Comment 27 Justin M. Forbes 2012-02-10 17:24:39 EST
It appears we have multiple issues here, and most are resolved with configuration changes. Closing this bug, please reopen a new and descriptive bug if you still have issues.
Comment 28 Philip Durbin 2012-03-03 10:06:38 EST
I got this error and had to run `setenforce Permissive` to create a VM from ubuntu-11.10-desktop-amd64.iso on Fedora 16.
Comment 29 Orion Poplawski 2012-03-22 13:57:13 EDT
Instead of permissive mode:

setsebool -P virt_use_execmem=on
Comment 30 Pavel Šimerda (pavlix) 2012-03-22 18:28:23 EDT
In Fedora 17 Alpha, default installation, x86_64, intel CPU without vmx,
the same problem occurs.

Fixed temporarily:

setsebool virt_use_execmem on

Should fix permamently, but instead it hangs (setsebool won't return
until CTRL+C):

setsebool -P virt_use_execmem on
Comment 31 Orion Poplawski 2012-03-23 11:19:51 EDT
Note that setsebool -P takes a *long* time to run.  Up to a couple minutes I think.
Comment 32 Pavel Šimerda (pavlix) 2012-03-23 17:28:50 EDT
Yes, up to a couple of minutes. But without -P it's instant. Why?
Comment 33 Orion Poplawski 2012-03-23 18:13:27 EDT
You'd have to ask the SELinux guys for a complete answer.  I think it has to compile the whole SELinux state to save it for future use, but changing a couple rules in the running system is fast.
Comment 34 Pavel Šimerda (pavlix) 2012-03-24 05:38:27 EDT
Erm... if you are right, this looks like a serious design flaw.
Comment 35 Wade Mealing 2012-04-18 08:39:12 EDT
Going to reopen this, it was cllosed as insuffient info.

Here is the problem clearly stated.

Packages and versions:

kernel-3.3.1-5.fc16.x86_64
selinux-policy-targeted-3.10.0-80.fc16.noarch
selinux-policy-3.10.0-80.fc16.noarch
libselinux-utils-2.1.6-6.fc16.x86_64
libselinux-2.1.6-6.fc16.i686

The rest of the machine is current fedora 16.

Steps to reproduce.

1) Disable Virtual Memory support in the bios.
2) Ensure that your host has a vmx support in the system.
3) Ensure that kernel modules kvm-intel or kvm-intel are not loaded. only "kvm" 
4) SELinux must be set in enforcing mode with the default Fedora 16 polices.
5) Attempt to install a guest, wait..... 

There are selinux warnings appearing in the logs. 

The messages are the same as shown above.

They can be worked around by setting the sebool virt_use_execmem with the command:

setsebool -P virt_use_execmem=on

This (as I see it) is a selinux policy decision, and fixing this is a choice of either the kvm packagers or the selinux policy makers.
Comment 37 Wade Mealing 2012-04-18 08:44:06 EDT
Crappy 3g internet makes me doublepost.. so annoying.. apologies for the spam.  The previous comment should say

"Virtual Machine" support in the BIOS.  Not virtual memory.
Comment 38 Cole Robinson 2012-07-10 06:48:26 EDT

*** This bug has been marked as a duplicate of bug 806106 ***

Note You need to log in before you can comment on or make changes to this bug.